QGIS Application - Bug report #14454

Invalid SQL error when using dataProvider().changeAttributeValues()

2016-03-10 04:54 AM - Daan Goedkoop

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/SpatialLite

Affected QGIS version:2.14.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22432

Description

| have a script that updates values in a Spatialite layer. It basically works like this:

idValue1 = spatialite_layer.dataProvider().fields().indexFromName( 'Value1')

idValue2 = spatialite_layer.dataProvider().fields().indexFromName( 'Value2')

updateMap = {}
for feat in selfeats:
valuel = ...
value2 = ...
updateMap[ feat.id() ] = { idValue1 : value1, idValue2 : value2 }

spatialite_layer.dataProvider().changeAttributeValues( updateMap )

In QGIS 2.12 the script works fine. In version 2.14 | get this error:
SQLite Error: near "WHERE": syntax error SQL:

History

#1 - 2016-03-10 01:02 PM - Nyall Dawson
- Status changed from Open to Feedback

Can you test with master? There's been a possibly related fix for this recently.

#2 - 2016-03-14 01:05 AM - Daan Goedkoop
- Status changed from Feedback to Closed

Yes, it looks like it has been fixed in master.
